<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use App\Jobs\TicProcess as Job;

class TicProcess extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'tic:process {file : TIC file}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Process a TIC file';

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
		// Dispatch job.
		Job::dispatchSync($this->argument('file'));

        return Command::SUCCESS;
    }
}
